Page MenuHomeVyOS Platform

cronjob is being setup even if not saved
Closed, ResolvedPublicBUG

Description

set system task-scheduler task TEST executable path /home/vyos/test.sh
set system task-scheduler task TEST interval 1m
commit
exit reboot

The config line is of course not present anymore in the config (save was missed) but the job still exists after the reboot under /etc/cron.d/vyos-crontab

Details

Difficulty level
Easy (less than an hour)
Version
rolling
Why the issue appeared?
Design mistake
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

hagbard created this task.Jan 22 2019, 8:53 PM
hagbard renamed this task from conjobs is being setup even if not saved to conjob is being setup even if not saved.Jan 22 2019, 8:58 PM
pasik added a subscriber: pasik.Jan 23 2019, 10:25 AM
syncer renamed this task from conjob is being setup even if not saved to cronjob is being setup even if not saved.Jan 27 2019, 12:34 AM
syncer triaged this task as Normal priority.
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
c-po claimed this task.Aug 3 2020, 8:22 PM
c-po set Is it a breaking change? to Unspecified (possibly destroys the router).
c-po closed this task as Resolved.Aug 4 2020, 6:02 AM
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po changed Why the issue appeared? from Will be filled on close to Design mistake.
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.6) board.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 4 2020, 6:09 AM